%global         pypi_name delegator.py
%global         package_name delegator-py
%global         _description %{expand:\
This module features two main functions "delegator.run()"
and "delegator.chain()". One runs commands, blocking or 
non-blocking, and the other runs a chain of commands,
separated by the standard pipe operator: "|".}
Name:           python-%{package_name}
Version:        0.1.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/kennethreitz/delegator
Source0:        %{pypi_source}
BuildArch:      noarch
Summary:        Library provides simpler way running terminal commands in scripts
%{?python_enable_dependency_generator}

%description %{_description}

%package -n python3-%{package_name}
Summary:        %{summary}

BuildRequires:  python3-devel

BuildRequires:  python3-pexpect
Requires:       python3-pexpect
%{?python_provide:%python_provide python3-%{package_name}}

%description -n python3-%{package_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{package_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/__pycache__/delegator.*.py*

%changelog
* Thu Aug 29 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.1.1-1
- Initial package
